Subject: Re: [PATCH 1/4] cdc_ether: use dev->intf to get interface information

From: Greg KH <[email-masked]>
Date: Wed, 15 Jul 2020 18:02:33 +0200

On Wed, Jul 15, 2020 at 11:53:39AM -0400, Wxcafé wrote:
> >From 0d0f13077e02cf6b54f2a22eb2e5f7d97ac7ee97 Mon Sep 17 00:00:00 2001
> From: =?UTF-8?q?Miguel Rodr=C3=ADguez P=C3=A9rez? <[email-masked]>
> Date: Tue, 14 Jul 2020 18:02:10 -0400
> Subject: [PATCH 1/4] cdc_ether: use dev->intf to get interface information

That looks really odd in a changelog body :(

> 
> usbnet_cdc_update_filter was getting the interface number from the
> usb_interface struct in cdc_state->control. However, cdc_ncm does
> not initialize that structure in its bind function, but uses
> cdc_ncm_cts instead. Getting intf directly from struct usbnet solves
> the problem.
> 
> Signed-off-by: Miguel Rodríguez Pérez <[email-masked]>
> Signed-off-by: Wxcafé <[email-masked]>

As per the documentation, we need a "real name" for all signed-off-by.

Also, what has changed with this series from before?  Have you addressed
Oliver's objections?

thanks,

greg k-h